Package com.independentsoft.office

# Class FileTable

java.lang.Object
java.util.AbstractMap<K,​V>
java.util.HashMap<String,​byte[]>
com.independentsoft.office.FileTable

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,​byte[]>`

public class FileTable extends HashMap<String,​byte[]>
The Class FileTable.

See Also:
  Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K extends Object,​V extends Object>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileTable()`
  Instantiates a new file table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(String path, byte[] buffer)`
  Adds the.
  `void`
  `add​(String path, InputStream stream)`
  Adds the.
  `void`
  `add​(String path, String inputFilePath)`
  Adds the.
  `FileTable`
  `clone()`
  `Set<String>`
  `getPaths()`
  Gets the paths.

  ### Methods inherited from class java.util.HashMap

  `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

  ### Methods inherited from class java.util.AbstractMap

  `equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `equals, hashCode`

- ## Constructor Details

  - ### FileTable

    public FileTable()
    Instantiates a new file table.

- ## Method Details

  - ### add

    public void add​(String path, String inputFilePath) throws IOException
    Adds the.
    Parameters:
      `path` - the path
      `inputFilePath` - the input file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### add

    public void add​(String path, InputStream stream) throws IOException
    Adds the.
    Parameters:
      `path` - the path
      `stream` - the stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### add

    public void add​(String path, byte[] buffer)
    Adds the.
    Parameters:
      `path` - the path
      `buffer` - the buffer

  - ### clone

    public FileTable clone()
    Overrides:
      `clone` in class `HashMap<String,​byte[]>`

  - ### getPaths

    public Set<String> getPaths()
    Gets the paths.
    Returns:
      the paths